
export interface IServiceAI {

    /**
     * Call AI to ask for completion
     * @param rGeneratedText base text generated by codigo-generator that we want to complete
     * @param rModel [Optional]string with model properties
     * @param rCustomPrompt [Optional]custom prompt to override given default prompt
     */
    generateCompletion(rGeneratedText: string, rModel?: string, rCustomPrompt?: string): Promise<string | undefined>;

}